<?php
class ControllerCommonSchedule extends Controller {

	protected $configurations = array();
  protected $referencePathFile = 'common/schedule';

	public function getScheduleDates() {
    $this->load->model('checkout/schedule');
    $response_json = $this->model_checkout_schedule->getScheduleDates($this->request->post);
			
		$this->response->setOutputJson($response_json);
	}

  public function getScheduleTimes() {
    $this->load->model('checkout/schedule');
    $response_json = $this->model_checkout_schedule->getScheduleTimes($this->request->post);
			
		$this->response->setOutputJson($response_json);
	}

  public function setOrderScheduled() {
    $this->load->model('checkout/schedule');
    $response_json = $this->model_checkout_schedule->setOrderScheduled($this->request->post);
			
		$this->response->setOutputJson($response_json);
  }

  public function setOrderScheduledCanceled() {
    $this->load->model('checkout/schedule');
    $response_json = $this->model_checkout_schedule->setOrderScheduledCanceled($this->request->post);
			
		$this->response->setOutputJson($response_json);
  }
}